Bug 1368048 - [RFE] [Sahara] Package sahara-tests
Summary: [RFE] [Sahara] Package sahara-tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-sahara
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: Elise Gafford
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-18 08:21 UTC by Luigi Toscano
Modified: 2016-12-14 15:52 UTC (History)
6 users (show)

Fixed In Version: openstack-sahara-tests-0.3.0-1.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:52:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Luigi Toscano 2016-08-18 08:21:13 UTC
Description of problem:
The sahara-tests [1] repository contains various tests for Sahara:
- Tempest-style tests for Sahara (API tests coming from Tempest, CLI tests, and soon the client tests currently available in python-sahara-tests.
- Higher level scenario tests (end-to-end).    

The content of this repository should be packaged:
- when (probably before Newton) the last bit of more complex tests (more than unit tests) for Sahara are removed both from the "sahara" and "tempest" repository, without this package it won't be possible to validate a Sahara deployment by just using content provided by some RPM. 
- tests are generally packaged now, if available, so those should be as well.

The review for the package in RDO is currently tracked here:
https://bugzilla.redhat.com/show_bug.cgi?id=1318765

[1] http://docs.openstack.org/developer/sahara-tests/

Comment 1 Elise Gafford 2016-10-05 10:25:51 UTC
Currently MODIFIED in RDO and awaiting build in CBS, at which point this can be imported into RHOS. QE tests are already run using this packaged codebase, and this is a new package not required for core Sahara functionality, so risk is extremely low. However, it is still uncertain whether this will make GA or slip to ZStream at this time. As such, leaving RHOS 10 target for now.

Comment 2 Jon Schlueter 2016-10-05 10:28:31 UTC
openstack-sahara-tests-0.2.1-0.20160926112600.90e20ac.el7ost  rhos-10.0-rhel-7-candidate  slinaber is available for OSP 10

Comment 5 Luigi Toscano 2016-10-31 15:56:22 UTC
The content of the repository is packaged and split into two main components:
- python-sahara-tests-scenario contains the scenario tests;
- python-sahara-tests-tempest contains the Tempest plugin.

Both components do not shot difference in behavior from the corresponding code "installed" from source (virtualenv, etc).

Verified with:
openstack-sahara-tests-0.3.0-3.el7ost.noarch
python-sahara-tests-scenario-0.3.0-3.el7ost.noarch
python-sahara-tests-tempest-0.3.0-3.el7ost.noarch

Comment 7 errata-xmlrpc 2016-12-14 15:52:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.